﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits=" MindFusion.Scheduling.Samples.VB.MDI._Default" %>

<%@ Register Assembly="MindFusion.Scheduling.WebForms" Namespace="MindFusion.Scheduling.WebForms"
	TagPrefix="MindFusion" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	  <title>MindFusion WebPlanner Sample - MDI</title>
    <link href="common/jquery-ui.min.css" rel="stylesheet" />
    <link href="common/samples.css" rel="stylesheet" />
    <script type="text/javascript" src="common/jquery.min.js"></script>
    <script type="text/javascript" src="common/jquery-ui.min.js"></script>
    <script type="text/javascript" src="common/samples.js"></script>
    <script type="text/javascript">
        //Initiate PostBack on DateClick event, so that Timetable view changes it's date accordingly
        function DateClick(sender, args)
        {
            __doPostBack('__Page');
        }
    </script>
</head>
<body>
    <form id="form2" runat="server">
    <asp:ScriptManager ID="ScriptManager2" runat="server" />
	<input type="hidden" id="collapsed" runat="server" />
    <div id="header" style="height: 49px;">
        <div style="float: right; margin-right: 5px; margin-top: 17px;">
            <button id="expandButton" onclick="onExpandCollapse()">
                &gt;</button>
        </div>
    </div>
    <div id="info" style="top: 60px; bottom: 24px;">
        <div id="infoTab" style="padding: 10px;">
            <h1>
                About this sample</h1>
            <p>
                This sample demonstrates how to display and manipulate a single document (Schedule)
                object through many views (Calendar controls).<br /> Create items in any of the views
                below by clicking on a day cell, thus invoking the new item popup form.
            </p>
        </div>
    </div>
    <div id="content" style="top: 60px; bottom: 24px;">
        <div style="position: absolute; left: 0px; top: 0px; bottom: 0px; width: 300px; border-right: 1px solid #e2e4e7;
            overflow: hidden;">
            <MindFusion:Calendar ID="Timetable" runat="server" Height="100%" Width="100%" CurrentView="List"
                Theme="Vista" AutoPostBack="true" OnItemCreated="Timetable_ItemCreated" OnItemDeleted="Timetable_ItemDeleted"
                OnItemModified="Timetable_ItemModified" OnItemInplaceEdited="Timetable_ItemInplaceEdited">
                <WeekRangeSettings>
                    <DaySettings GeneralFormat="d " FirstDayOfMonthFormat="d " FirstDayOfYearFormat="d ">
                    </DaySettings>
                </WeekRangeSettings>
                <MonthSettings DayOfWeekFormat="Abbreviated" ShowPaddingItems="Disabled" HeaderStyle="Title, MonthButtons"
                    HideTrailingWeeks="Disabled" DayNamesHeader="Enabled" WeekHeaderStyle="None"
                    ShowPaddingDays="Enabled" MainHeaderHeight="30px" DayNamesHeaderHeight="16px"
                    WeekNumbersHeaderWidth="20px" TitleFormat="MMMM, yyyy" WeekHeaderFormat="%w">
                    <DaySettings GeneralFormat="d " FirstDayOfMonthFormat="d " FirstDayOfYearFormat="d ">
                    </DaySettings>
                </MonthSettings>
                <ListViewSettings TitleFormat="ddd,&lt;br /&gt;dd MMM">
                    <CellSettings ShowToday="Enabled" GeneralFormat="d " FirstDayOfMonthFormat="d " FirstDayOfYearFormat="d ">
                    </CellSettings>
                </ListViewSettings>
            </MindFusion:Calendar>
        </div>
        <div style="position: absolute; left: 301px; top: 0px; right: 0px; bottom: 0px;">
            <MindFusion:Calendar ID="WeekRange" runat="server" Height="100%" Width="100%" CurrentView="WeekRange"
                Theme="Vista" OnItemCreated="WeekRange_ItemCreated" OnItemDeleted="WeekRange_ItemDeleted"
                OnItemModified="WeekRange_ItemModified" OnItemInplaceEdited="WeekRange_ItemInplaceEdited"
                AutoPostBack="true">
                <WeekRangeSettings HeaderStyle="Title">
                    <DaySettings FirstDayOfMonthFormat="dd MMMM" ShowToday="Enabled">
                    </DaySettings>
                </WeekRangeSettings>
            </MindFusion:Calendar>
        </div>
    </div>
    <div id="footer" style="height: 24px;">
        <span id="copyright"></span>
    </div>
    </form>
</body>
</html>
