﻿'
' Copyright (c) 2009-2015, MindFusion LLC - Bulgaria.
'
Imports MindFusion.Scheduling
Imports MindFusion.Scheduling.WebForms

Partial Public Class _Default
	Inherits System.Web.UI.Page
	Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
		If Not IsPostBack Then
			Dim start As DateTime = DateTime.Now
			Dim [end] As DateTime = start + New TimeSpan(56 * TimeSpan.TicksPerDay)

			' Set more dates to be displayed in the timetable
			Timetable.[Date] = start
			Timetable.EndDate = start.AddDays(5)

			' Set the date displayed in the calendar
			WeekRange.[Date] = start
			WeekRange.EndDate = [end]

			' Make the calendar display 9 rows

			WeekRange.WeekRangeSettings.VisibleRows = 9
		End If
	End Sub
	Protected Sub Timetable_ItemCreated(ByVal sender As Object, ByVal e As ItemEventArgs) Handles Timetable.ItemCreated
		TransferScheduleTT()
	End Sub
	Protected Sub Timetable_ItemDeleted(ByVal sender As Object, ByVal e As ItemEventArgs) Handles Timetable.ItemDeleted
		TransferScheduleTT()
	End Sub

	Protected Sub WeekRange_ItemCreated(ByVal sender As Object, ByVal e As ItemEventArgs) Handles WeekRange.ItemCreated
		TransferScheduleWR()
	End Sub
	Protected Sub WeekRange_ItemDeleted(ByVal sender As Object, ByVal e As ItemEventArgs) Handles WeekRange.ItemDeleted
		TransferScheduleWR()
	End Sub

	Protected Sub WeekRange_ItemModified(ByVal sender As Object, ByVal e As ItemModifiedEventArgs) Handles WeekRange.ItemModified
		TransferScheduleWR()
	End Sub
	Protected Sub Timetable_ItemModified(ByVal sender As Object, ByVal e As ItemModifiedEventArgs) Handles Timetable.ItemModified
		TransferScheduleTT()
	End Sub

	Protected Sub WeekRange_ItemInplaceEdited(ByVal sender As Object, ByVal e As ItemEventArgs) Handles WeekRange.ItemInplaceEdited
		TransferScheduleWR()
	End Sub
	Protected Sub Timetable_ItemInplaceEdited(ByVal sender As Object, ByVal e As ItemEventArgs) Handles Timetable.ItemInplaceEdited
		TransferScheduleTT()
	End Sub

	Private Sub TransferScheduleTT()
		WeekRange.Schedule = Timetable.Schedule
	End Sub

	Private Sub TransferScheduleWR()
		Timetable.Schedule = WeekRange.Schedule
	End Sub
End Class
